Subject: bug#37794: Bug report for parted 17-10-19

From: "Brian C. Lane" <[email-masked]>
Date: Fri, 18 Oct 2019 13:20:40 -0700

On Thu, Oct 17, 2019 at 01:25:30PM +0000, Blåfield Toni wrote:
> Got an error, here are the details:
> 
> You found a bug in GNU Parted! Here's what you have to do:
> 
> Don't panic! The bug has most likely not affected any of your data.
> Help us to fix this bug by doing the following:
> 
> Check whether the bug has already been fixed by checking
> the last version of GNU Parted that you can find at:
> 
>         http://ftp.gnu.org/gnu/parted/
> 
> Please check this version prior to bug reporting.
> 
> If this has not been fixed yet or if you don't know how to check,
> please visit the GNU Parted website:
> 
>         http://www.gnu.org/software/parted
> 
> for further information.
> 
> Your report should contain the version of this release (3.2)
> along with the error message below, the output of
> 
>         parted DEVICE unit co print unit s print
> 
> and the following history of commands you entered.
> Also include any additional information about your setup you
> consider important.
> 
> Command History:
> l
> list
> print
> print all
> orubt devices
> print devices
> print list
> resize
> resizepart
> 2

Thanks for the report! I actually have a fix for this that got lost.

https://github.com/bcl/parted/commits/master-1701411

I'll re-send those to the list after I test them against the current
master.

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart